Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class CxfJaxrsServiceRegistrator

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.cxf.CxfJaxrsServiceRegistrator

    public class CxfJaxrsServiceRegistrator
    extends Object

### Constructor Summary

Constructors
`CxfJaxrsServiceRegistrator​(org.apache.cxf.Bus bus, ServiceTuple<javax.ws.rs.core.Application> applicationTuple, Map<String,​?> properties, AriesJaxrsServiceRuntime ariesJaxrsServiceRuntime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(org.apache.cxf.jaxrs.lifecycle.ResourceProvider resourceProvider)`
`void` `addProvider​(ServiceTuple<?> tuple)`
`void` `close()`
`<T> T` `createEndpoint​(javax.ws.rs.core.Application app, Class<T> endpointType)`
`void` `enable()`
`org.apache.cxf.Bus` `getBus()`
`Map<String,​?>` `getProperties()`
`Iterable<Class<?>>` `getStaticResourceClasses()`
`void` `registerExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `remove​(org.apache.cxf.jaxrs.lifecycle.ResourceProvider resourceProvider)`
`void` `removeProvider​(ServiceTuple<?> tuple)`
`void` `rewire()`
`void` `unregisterExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`org.apache.aries.component.dsl.OSGi<org.apache.aries.component.dsl.CachingServiceReference<?>>` `waitForExtension​(String extensionDependency)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CxfJaxrsServiceRegistrator

    public CxfJaxrsServiceRegistrator​(org.apache.cxf.Bus bus,
                                      ServiceTuple<javax.ws.rs.core.Application> applicationTuple,
                                      Map<String,​?> properties,
                                      AriesJaxrsServiceRuntime ariesJaxrsServiceRuntime)

### Method Detail

#### getProperties

    public Map<String,​?> getProperties()

#### add

    public void add​(org.apache.cxf.jaxrs.lifecycle.ResourceProvider resourceProvider)

#### addProvider

    public void addProvider​(ServiceTuple<?> tuple)

#### enable

    public void enable()

#### close

    public void close()

#### createEndpoint

    public <T> T createEndpoint​(javax.ws.rs.core.Application app,
                                Class<T> endpointType)

#### getBus

    public org.apache.cxf.Bus getBus()

#### getStaticResourceClasses

    public Iterable<Class<?>> getStaticResourceClasses()

#### registerExtension

    public void registerExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### remove

    public void remove​(org.apache.cxf.jaxrs.lifecycle.ResourceProvider resourceProvider)

#### removeProvider

    public void removeProvider​(ServiceTuple<?> tuple)

#### rewire

    public void rewire()

#### unregisterExtension

    public void unregisterExtension​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### waitForExtension

    public org.apache.aries.component.dsl.OSGi<org.apache.aries.component.dsl.CachingServiceReference<?>> waitForExtension​(String extensionDependency)